Index: TXM/trunk/org.txm.connlu.core/src/org/txm/conllu/core/function/UDTreeSearchSelector.java
===================================================================
--- TXM/trunk/org.txm.connlu.core/src/org/txm/conllu/core/function/UDTreeSearchSelector.java	(revision 3512)
+++ TXM/trunk/org.txm.connlu.core/src/org/txm/conllu/core/function/UDTreeSearchSelector.java	(revision 3513)
@@ -28,6 +28,12 @@
 		
 		return new UDSearch(corpus);
 	}
+	
+	@Override
+	public TreeSearch getTreeSearch(String resultnodepath, CQPCorpus corpus) {
+		
+		return new UDSearch(resultnodepath, corpus);
+	}
 
 	@Override
 	public Class<? extends Query> getQueryClass() {
Index: TXM/trunk/org.txm.searchengine.core/src/org/txm/searchengine/core/Query.java
===================================================================
--- TXM/trunk/org.txm.searchengine.core/src/org/txm/searchengine/core/Query.java	(revision 3512)
+++ TXM/trunk/org.txm.searchengine.core/src/org/txm/searchengine/core/Query.java	(revision 3513)
@@ -65,6 +65,10 @@
 		}
 		return str.toString();
 	}
+	
+	public boolean canBeMultiLine() {
+		return false;
+	}
 			
 	/**
 	 * Converts the specified string to a list of Query.
Index: TXM/trunk/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEnginePreferences.java
===================================================================
--- TXM/trunk/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEnginePreferences.java	(revision 3512)
+++ TXM/trunk/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEnginePreferences.java	(revision 3513)
@@ -36,6 +36,6 @@
 		Preferences preferences = this.getDefaultPreferencesNode();
 		
 		preferences.put(DEFAULT_SEARCH_ENGINE, "CQP");
-		preferences.putBoolean(SHOW_SEARCH_ENGINES, false);
+		preferences.putBoolean(SHOW_SEARCH_ENGINES, true);
 	}
 }
Index: TXM/trunk/org.txm.searchengine.core/src/org/txm/searchengine/core/IQuery.java
===================================================================
--- TXM/trunk/org.txm.searchengine.core/src/org/txm/searchengine/core/IQuery.java	(revision 3512)
+++ TXM/trunk/org.txm.searchengine.core/src/org/txm/searchengine/core/IQuery.java	(revision 3513)
@@ -57,6 +57,8 @@
 	
 	public String asString();
 	
+	public boolean canBeMultiLine();
+	
 	public static String toPrefString(IQuery query) {
 		return query.getSearchEngine().getName()+"\t"+query.getQueryString();
 	}
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZDefaultPagerStep.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZDefaultPagerStep.groovy	(revision 3512)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZDefaultPagerStep.groovy	(revision 3513)
@@ -323,7 +323,20 @@
 			
 			boolean flagNote = false
 			boolean flagW = false
+			
 			boolean allTags = true
+			boolean ignoreUnmanagedTags = true
+			// unmanagedElementsPolicyCombo.setItems("ignore", "keep as is", "rename to span");
+			String unmanagedElementsPolicy = pager.project.getTextualPlan("UnmanagedElementsPolicy", "rename to span")
+			if (unmanagedElementsPolicy.equals("rename to span")) {
+				allTags = true;
+			} else if (unmanagedElementsPolicy.equals("ignore")) {
+				allTags = false
+				ignoreUnmanagedTags = true
+			}  else if (unmanagedElementsPolicy.equals("keep as it")) {
+				allTags = false
+				ignoreUnmanagedTags = false
+			}
 			String noteContent = ""
 			String noteType = ""
 			String rend = ""
@@ -545,6 +558,14 @@
 									noteType = getAttributeValue(parser, null, "type")
 								} else if (allTags && !flagW && localname != paginationElement) {
 									pagedWriter.writeStartElement("span", ["class":localname])
+								} else if (ignoreUnmanagedTags && !flagW && localname != paginationElement) {
+									// do nothing
+								} else {
+									LinkedHashMap attributes = new LinkedHashMap();
+									for (int i = 0 ; i < parser.getAttributeCount() ; i++) {
+										attributes[parser.getAttributeLocalName(i)] = parser.getAttributeValue(i).toString()
+									}
+									pagedWriter.writeStartElement(localname, attributes)
 								}
 								break;
 						}
@@ -671,6 +692,10 @@
 									}
 								} else if (allTags && !flagW && localname != paginationElement) {
 									pagedWriter.writeEndElement() // </span@class=localname>
+								}  else if (ignoreUnmanagedTags && !flagW && localname != paginationElement) {
+									// do nothing
+								} else {
+									pagedWriter.writeEndElement() // the element
 								}
 							//							else {
 							//								pagedWriter.writeEndElement() // the element
Index: TXM/trunk/org.txm.edition.rcp/plugin.xml
===================================================================
--- TXM/trunk/org.txm.edition.rcp/plugin.xml	(revision 3512)
+++ TXM/trunk/org.txm.edition.rcp/plugin.xml	(revision 3513)
@@ -149,6 +149,23 @@
             </and>
          </activeWhen>
       </handler>
+      <handler
+            class="org.txm.edition.rcp.handlers.SendEditionTo"
+            commandId="org.txm.treesearch.command.ComputeTreeSearch">
+         <activeWhen>
+            <and>
+               <reference
+                     definitionId="SelectionIsNotEmpty">
+               </reference>
+               <reference
+                     definitionId="SendSelectionContextNotActive">
+               </reference>
+               <reference
+                     definitionId="EditionEditorActive">
+               </reference>
+            </and>
+         </activeWhen>
+      </handler>
    </extension>
    <extension
          point="org.eclipse.core.expressions.definitions">
Index: TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java
===================================================================
--- TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 3512)
+++ TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 3513)
@@ -895,15 +895,17 @@
 		
 		if (!this.browser.isDisposed()) {
 			
-			if ("webkit".equals(this.browser.getBrowserType())) {
-				String u = URLUtils.encodeURL(url);
-				Log.finer("setting encoded URL: "+u);
-				super.setURL(u);
-			} else {
-				Log.finer("setting URL: "+url);
-				super.setURL(url);
-			}
+			super.setURL(url);
 			
+//			if ("webkit".equals(this.browser.getBrowserType())) {
+//				String u = URLUtils.encodeURL(url);
+//				Log.finer("setting encoded URL: "+u);
+//				super.setURL(u);
+//			} else {
+//				Log.finer("setting URL: "+url);
+//				super.setURL(url);
+//			}
+//			
 //			// fix when the webbrowser can't open the URL -> but encoding&security are not well managed
 //			URL url2;
 //			try {
Index: TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/FixDoubleQuotes.java
===================================================================
--- TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/FixDoubleQuotes.java	(revision 3512)
+++ TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/FixDoubleQuotes.java	(revision 3513)
@@ -4,7 +4,6 @@
 import java.io.FileNotFoundException;
 import java.io.IOException;
 import java.io.UnsupportedEncodingException;
-import java.util.ArrayList;
 import java.util.HashMap;
 
 import org.txm.rcp.translate.i18n.PluginMessagesManager;
Index: TXM/trunk/org.txm.conllu.rcp/src/org/txm/conllu/rcp/commands/ExportCorpusAsCoNLLU.java
===================================================================
--- TXM/trunk/org.txm.conllu.rcp/src/org/txm/conllu/rcp/commands/ExportCorpusAsCoNLLU.java	(revision 3512)
+++ TXM/trunk/org.txm.conllu.rcp/src/org/txm/conllu/rcp/commands/ExportCorpusAsCoNLLU.java	(revision 3513)
@@ -639,6 +639,7 @@
 	}
 	
 	private static String[] getDefaultValues(MainCorpus mainCorpus, String property, int[] positions) throws UnexpectedAnswerException, IOException, CqiServerError, CqiClientException {
+		
 		String[] values = CQPSearchEngine.getCqiClient().cpos2Str(mainCorpus.getProperty(property).getQualifiedName(), positions);
 		for (int iupos = 0; iupos < values.length; iupos++) { // recode the || CQP multiple values to ud multiple values
 			if (values[iupos].length() > 2 && values[iupos].startsWith("|") && values[iupos].endsWith("|")) {
@@ -650,6 +651,7 @@
 	}
 	
 	private static HashMap<Integer, String> getNonUNDEFPositionsAndValues(MainCorpus mainCorpus, String property) throws UnexpectedAnswerException, IOException, CqiServerError, CqiClientException {
+		
 		HashMap<Integer, String> sentidStartPositions = new HashMap<>();
 		int[] ids = CQPSearchEngine.getCqiClient().regex2Id(mainCorpus.getProperty(property).getQualifiedName(), "(?!__UNDEF__).+");
 		String[] strs = CQPSearchEngine.getCqiClient().id2Str(mainCorpus.getProperty(property).getQualifiedName(), ids);
@@ -665,8 +667,9 @@
 	}
 	
 	private static void fixUNDEFValues(String[] values) {
+		
 		for (int i = 0; i < values.length; i++) {
-			if (values[i].equals("__UNDEF__") || values[i].equals("")) {
+			if (values[i].equals("__UNDEF__") || values[i].equals("") || values[i].equals("|_|")) {
 				values[i] = "_";
 			}
 		}
Index: TXM/trunk/org.txm.treesearch.core/src/org/txm/treesearch/function/TreeSearchSelector.java
===================================================================
--- TXM/trunk/org.txm.treesearch.core/src/org/txm/treesearch/function/TreeSearchSelector.java	(revision 3512)
+++ TXM/trunk/org.txm.treesearch.core/src/org/txm/treesearch/function/TreeSearchSelector.java	(revision 3513)
@@ -14,6 +14,8 @@
 	public abstract boolean canComputeWith(CQPCorpus corpus);
 
 	public abstract TreeSearch getTreeSearch(CQPCorpus corpus);
+	
+	public abstract TreeSearch getTreeSearch(String resultnodepath, CQPCorpus corpus);
 
 	public abstract Class<? extends Query> getQueryClass();
 }
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java	(revision 3512)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java	(revision 3513)
@@ -7,6 +7,7 @@
 import org.eclipse.swt.events.SelectionEvent;
 import org.eclipse.swt.events.SelectionListener;
 import org.eclipse.swt.widgets.Button;
+import org.eclipse.swt.widgets.Combo;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.DirectoryDialog;
 import org.eclipse.swt.widgets.Label;
@@ -48,6 +49,8 @@
 	Text imageDirectoryText;
 	
 	private Text defaultEditions;
+
+	private Combo unmanagedElementsPolicyCombo;
 	
 	/**
 	 * 
@@ -130,6 +133,19 @@
 		
 		if (importName.startsWith("xtz")) { //$NON-NLS-1$
 			
+			Label tmpLabel4 = toolkit.createLabel(sectionClient, "Unmanaged elements policy");
+			tmpLabel4.setToolTipText("ignore: the elements are not written ;  convert to span: rename the element to 'span' and set the class attribute");
+			TableWrapData gdata4 = getLabelGridData();
+			gdata4.indent = 40;
+			tmpLabel4.setLayoutData(gdata4);
+			
+			unmanagedElementsPolicyCombo = new Combo(sectionClient, SWT.BORDER|SWT.READ_ONLY);
+			gdata4 = getTextGridData();
+			gdata4.colspan = 3; // one line
+			unmanagedElementsPolicyCombo.setLayoutData(gdata4);
+			unmanagedElementsPolicyCombo.setItems("ignore", "rename to span");
+			unmanagedElementsPolicyCombo.setToolTipText("ignore: the elements are not written ; convert to span: rename the element to 'span' and set the class attribute");
+			
 			Label tmpLabel3 = toolkit.createLabel(sectionClient, TXMUIMessages.NoteElements);
 			tmpLabel3.setToolTipText(TXMUIMessages.NoteElementsThatEncodePonctualNotes);
 			TableWrapData gdata3 = getLabelGridData();
@@ -297,6 +313,10 @@
 				noteElementsText.setText(project.getTextualPlan("Note", "note")); //$NON-NLS-1$
 			}
 			
+			if (unmanagedElementsPolicyCombo != null) {
+				unmanagedElementsPolicyCombo.setText(project.getTextualPlan("UnmanagedElementsPolicy", "rename to span")); //$NON-NLS-1$
+			}
+			
 			String pbt = edition_params.getPageElement();
 			if (pageBreakText != null) {
 				pageBreakText.setText(pbt);
@@ -352,6 +372,10 @@
 				project.setTextualPlan(TXMUIMessages.Note, noteElementsText.getText());
 			}
 			
+			if (unmanagedElementsPolicyCombo != null) {
+				project.setTextualPlan("UnmanagedElementsPolicy", unmanagedElementsPolicyCombo.getText());
+			}
+			
 			if (buildFacsEditionCheckButton != null) {
 				
 				String images_directory = ""; //$NON-NLS-1$
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/QueryWidget.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/QueryWidget.java	(revision 3512)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/QueryWidget.java	(revision 3513)
@@ -30,12 +30,12 @@
 import java.util.Deque;
 import java.util.LinkedList;
 
+import org.eclipse.swt.layout.GridData;
 import org.eclipse.swt.widgets.Combo;
 import org.eclipse.swt.widgets.Composite;
 import org.txm.searchengine.core.IQuery;
 import org.txm.searchengine.core.SearchEngine;
 import org.txm.searchengine.core.SearchEnginesManager;
-import org.txm.searchengine.cqp.corpus.CQPCorpus;
 
 // TODO: Auto-generated Javadoc
 /**
@@ -43,7 +43,7 @@
  * full CQP query strings and simplif ied query strings (see
  * {@link org.txm.searchengine.cqp.corpus.query.CQLQuery#fixQuery(String)})
  * 
- * @author jmague
+ * @author jmague, mdecorde
  * 
  */
 public class QueryWidget extends Combo {
@@ -69,8 +69,27 @@
 		this(composite, style, SearchEnginesManager.getCQPSearchEngine());
 	}
 	
+	/**
+	 * Set the SearchEngine to use with query
+	 * @param se
+	 */
 	public void setSearchEngine(SearchEngine se) {
 		this.se = se;
+//		if (se.newQuery().canBeMultiLine()) {
+//			Object l = this.getLayoutData(); // cannot change the widget style -> maybe use a ComboViewer OR recreate a widget (so the setSearchEngine must be moved)
+//			if (l instanceof GridData) {
+//				GridData gd = (GridData)l;
+//				gd.minimumHeight = this.getSize().y * 2;
+//			}
+//			this.layout();
+//		} else {
+//			Object l = this.getLayoutData(); // cannot change the widget style -> maybe use a ComboViewer  OR recreate a widget (so the setSearchEngine must be moved)
+//			if (l instanceof GridData) {
+//				GridData gd = (GridData)l;
+//				gd.minimumHeight = this.getSize().y / 2;
+//			}
+//			this.layout();
+//		}
 	}
 	
 	
Index: TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/command/ComputeTreeSearch.java
===================================================================
--- TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/command/ComputeTreeSearch.java	(revision 3512)
+++ TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/command/ComputeTreeSearch.java	(revision 3513)
@@ -36,9 +36,12 @@
 import org.eclipse.core.runtime.RegistryFactory;
 import org.eclipse.jface.viewers.IStructuredSelection;
 import org.eclipse.ui.handlers.HandlerUtil;
+import org.osgi.service.prefs.BackingStoreException;
+import org.osgi.service.prefs.Preferences;
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.TXMResult;
+import org.txm.rcp.TxmPreferences;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
@@ -72,7 +75,8 @@
 		// From link: creating from parameter node
 		String parametersNodePath = event.getParameter(TXMPreferences.RESULT_PARAMETERS_NODE_PATH);
 		if (parametersNodePath != null && !parametersNodePath.isEmpty()) {
-			s = TXMResult.getResult(parametersNodePath); // a TreeSearch or a CQPCorpus
+			//s = TXMResult.getResult(parametersNodePath); // a TreeSearch or a CQPCorpus
+			s = parametersNodePath;
 		}
 		else { // From view result node
 			IStructuredSelection selection = this.getCorporaViewSelection(event);
@@ -161,6 +165,27 @@
 			
 			ts = (TreeSearch) obj;
 		}
+		else if (obj instanceof String) {
+			
+			//TXMResult.getResult((String)obj);
+			Preferences node = TXMPreferences.getNode((String)obj);
+			try {
+				String[] keys = node.keys();
+				System.out.println("keys: "+keys);
+			}
+			catch (BackingStoreException e) {
+				// TODO Auto-generated catch block
+				e.printStackTrace();
+			}
+			String parentPath = node.get(TXMPreferences.PARENT_PARAMETERS_NODE_PATH, null);
+			TXMResult parent = TXMResult.getResult(parentPath);
+			
+			if (parent instanceof CQPCorpus) {
+				CQPCorpus corpus = (CQPCorpus)parent;
+				TreeSearchSelector s = getSelectorForCorpus(corpus, TreeSearchPreferences.getInstance().getString(TreeSearchPreferences.DEFAULT_REPRESENTATION));
+				ts = s.getTreeSearch((String)obj, corpus);
+			}
+		}
 		else {
 			
 			Log.warning(Messages.bind(Messages.SelectionIsNotACorpusP0, obj));
Index: TXM/trunk/org.txm.treesearch.rcp/plugin.xml
===================================================================
--- TXM/trunk/org.txm.treesearch.rcp/plugin.xml	(revision 3512)
+++ TXM/trunk/org.txm.treesearch.rcp/plugin.xml	(revision 3513)
@@ -97,16 +97,16 @@
             </visibleWhen>
          </command>
       </menuContribution>
-      
       <menuContribution
-            locationURI="popup:org.txm.concordance.rcp.editors.ConcordanceEditor">
+            locationURI="popup:org.txm.edition.rcp.editors.SynopticEditionEditor">
          <command
-               commandId="org.txm.treesearch.command.ConcordanceLineToTreeSearch"
+               commandId="org.txm.treesearch.command.ComputeTreeSearch"
                icon="icons/functions/Tree.png"
                label="%command.label"
                style="push">
          </command>
       </menuContribution>
+      
    </extension>
    <extension
          point="org.eclipse.ui.preferencePages">
Index: TXM/trunk/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/tigersearch/TSImport.groovy
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/tigersearch/TSImport.groovy	(revision 3512)
+++ TXM/trunk/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/tigersearch/TSImport.groovy	(revision 3513)
@@ -71,7 +71,7 @@
 					getProjectPreferenceValue(project, TigerSearchPreferences.FEATURE_VALUES_TO_IGNORE_IN_HEADER, 
 						TigerSearchPreferences.getInstance().getString(TigerSearchPreferences.FEATURE_VALUES_TO_IGNORE_IN_HEADER)).split(",") as Set;
 				
-				println "Feature values to skiip when indexing corpus: $featuresToSkips"
+				println "Feature values to skip when indexing the corpus: $featuresToSkips"
 				
 				HashMap<String, HashSet<String>> tfeatures = new HashMap<String, HashSet<String>>()
 				HashMap<String, HashSet<String>> ntfeatures = new HashMap<String, HashSet<String>>()
@@ -221,6 +221,7 @@
 				masterwriter.flush()
 				masterwriter.close()
 			}
+			
 			TIGERSearchEngine.buildTIGERCorpus(tigerXmlSrcDir, this.binaryDirectory, corpusName);
 		}
 	}
Index: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERTreeSearchSelector.java
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERTreeSearchSelector.java	(revision 3512)
+++ TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERTreeSearchSelector.java	(revision 3513)
@@ -36,4 +36,10 @@
 		
 		return TIGERQuery.class;
 	}
+
+	@Override
+	public TreeSearch getTreeSearch(String resultnodepath, CQPCorpus corpus) {
+		
+		return new TIGERSearch(resultnodepath, corpus);
+	}
 }
Index: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSCorpusManager.java
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSCorpusManager.java	(revision 3512)
+++ TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSCorpusManager.java	(revision 3513)
@@ -33,7 +33,6 @@
 import org.txm.core.messages.TXMCoreMessages;
 
 
-// TODO: Auto-generated Javadoc
 /**
  * The Class TSCorpusManager.
  */
@@ -57,49 +56,51 @@
 	 * @param registrydir the registrydir
 	 * @param configdir the configdir
 	 */
-	public TSCorpusManager(File registrydir, File configdir)
-	{
+	public TSCorpusManager(File registrydir, File configdir) {
+		
 		this.registrydir = registrydir;
 		this.configFile = configdir;
-			
+		
 		initok = true;
 		
 		if (!(registrydir.exists() && registrydir.canRead())) {
-			System.out.println(TXMCoreMessages.errorRegDirColon+registrydir);
+			System.out.println(TXMCoreMessages.errorRegDirColon + registrydir);
 			initok = false;
 		}
+		
 		if (!(configdir.exists() && configdir.canRead())) {
-			System.out.println(TXMCoreMessages.errorConfigdirDirColon+configdir);
+			System.out.println(TXMCoreMessages.errorConfigdirDirColon + configdir);
 			initok = false;
 		}
 	}
-
+	
 	/**
 	 * Gets the registry path.
 	 *
 	 * @return the registry path
 	 */
-	public String getRegistryPath() 
-	{
+	public String getRegistryPath() {
+		
 		return registrydir.getAbsolutePath();
 	}
-
+	
 	/**
 	 * Gets the conf path.
 	 *
 	 * @return the conf path
 	 */
-	public String getconfPath() 
-	{
+	public String getconfPath() {
+		
 		return configFile.getAbsolutePath();
 	}
-
+	
 	/**
 	 * Checks if is initialized.
 	 *
 	 * @return true, if is initialized
 	 */
 	public boolean isInitialized() {
+		
 		return initok;
 	}
 	
@@ -109,15 +110,15 @@
 	 * @param id the id
 	 * @return the corpus
 	 */
-	public TSCorpus getCorpus(String id)
-	{
-		if (!corpora.containsKey(id))
-		{
+	public TSCorpus getCorpus(String id) {
+		
+		if (!corpora.containsKey(id)) {
 			TSCorpus corpus = new TSCorpus(id, this);
-			if (corpus.isOk())
+			if (corpus.isOk()) {
 				corpora.put(id, corpus);
+			}
 		}
-			
+		
 		return corpora.get(id);
 	}
-}
\ No newline at end of file
+}
Index: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TIGERQuery.java
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TIGERQuery.java	(revision 3512)
+++ TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TIGERQuery.java	(revision 3513)
@@ -25,6 +25,10 @@
 		return this;
 	}
 	
+	public boolean canBeMultiLine() {
+		return true;
+	}
+	
 	@Override
 	public boolean equals(IQuery q) {
 		return this.getClass().equals(q.getClass()) && this.getQueryString().equals(q.getQueryString());
Index: TXM/trunk/org.txm.tigersearch.rcp/OSGI-INF/l10n/bundle_fr.properties
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 3512)
+++ TXM/trunk/org.txm.tigersearch.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 3513)
@@ -7,8 +7,8 @@
 command.label.0 = TIGERSearch
 command.label.3 = TIGERSearch
 command.label.4 = TIGERSearch
-command.label.5 = XML-TS
-command.name.2  = Importer des annotations TIGERSearch...
+command.label.5 = XML-TIGERSearch
+command.name.2  = Importer des annotations TIGERSearch depuis un répertoire...
 
 editor.name   = TIGERSearch
 editor.name.0 = Index TIGERSearch
Index: TXM/trunk/org.txm.tigersearch.rcp/OSGI-INF/l10n/bundle.properties
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/OSGI-INF/l10n/bundle.properties	(revision 3512)
+++ TXM/trunk/org.txm.tigersearch.rcp/OSGI-INF/l10n/bundle.properties	(revision 3513)
@@ -11,10 +11,10 @@
 command.label.2 = TS Index Recette 2
 command.label.3 = TIGERSearch
 command.label.4 = TIGERSearch
-command.label.5 = XML-TS
+command.label.5 = XML-TIGERSearch
 editor.name = TIGERSearch
 editor.name.0 = TSIndex
 Bundle-Vendor = Textometrie.org
-command.name.2 = Import TIGERSearch Annotations...
+command.name.2 = Import TIGERSearch Annotations from directory...
 PostTXMHOMEInstallationStep.description = Install TIGER Groovy Files
 page.name = TIGERSearch
\ No newline at end of file
